Bug 563056 - Wrong segmentation from XML to POT when a footnote is present.
Wrong segmentation from XML to POT when a footnote is present.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 23:20 EST by Manuel Ospina
Modified: 2015-11-09 19:10 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 19:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel Ospina 2010-02-08 23:20:48 EST
Description of problem:

Publican breaks a sentence in two when there is a footnote.


Version-Release number of selected component (if applicable): 1.4


How reproducible: Always.


Steps to Reproduce:
1. This example is taken from Account_Configuration_common-para-3.xml in the Installation Guide RHEL 6
2. Original string: 
<para>
The installation program prompts you to set a root password
 <footnote>
  <para>
  A root password is the administrative password for your Red Hat Enterprise Linux system. You should only log in as root when needed for system maintenance. The root account does not operate within the restrictions placed on normal user accounts, so changes made as root can have implications for your entire system.
  </para>
 </footnote> for your system. <emphasis>You cannot proceed to the next stage of the installation process without entering a root password.</emphasis>
</para>

  
Actual results: Publican create three entries:
1. The installation program prompts you to set a root password

2. A root password is the administrative password for your Red Hat Enterprise 
Linux system. You should only log in as root when needed for system 
maintenance. The root account does not operate within the restrictions 
placed on normal user accounts, so changes made as root can have 
implications for your entire system.

3. for your system. <emphasis>You cannot proceed to the next stage of the 
installation process without entering a root password.</emphasis>

The main sentence is divided in two (1 and 3)

Expected results:
The entry should be left as in the original or there should be two entries:

1. The installation program prompts you to set a root password <FOOTNOTE HERE> for your system. <emphasis>You cannot proceed to the next stage of the 
installation process without entering a root password.</emphasis>

2. A root password is the administrative password for your Red Hat Enterprise 
Linux system. You should only log in as root when needed for system 
maintenance. The root account does not operate within the restrictions 
placed on normal user accounts, so changes made as root can have 
implications for your entire system.

Additional info:
Comment 1 Ruediger Landmann 2010-02-09 00:39:29 EST
An <indexterm> in the middle of a <para> creates the same problem.
Comment 2 Jeff Fearn 2010-02-11 21:07:18 EST
(In reply to comment #0)
> Expected results:
> The entry should be left as in the original or there should be two entries:
> 
> 1. The installation program prompts you to set a root password <FOOTNOTE HERE>
> for your system. <emphasis>You cannot proceed to the next stage of the 
> installation process without entering a root password.</emphasis>

Implemented this one as I don't have time to do number 2, which is significantly harder to get working reliably.

Code change is for footnote and indexterm, you will need to let me know if there are other tags requiring this.
Comment 3 Manuel Ospina 2010-02-22 01:41:35 EST
I believe this bug is also generating a problem when building the XML: 

ENGLISH:

<para>
      Red Hat Enterprise Linux divides the included software into
      <indexterm>
        <primary>package groups</primary>
      </indexterm> <firstterm>package groups</firstterm>. For ease of
      use, the package selection screen displays these groups as
      categories.
    </para>

ITALIAN:

 <para>
        Red Hat Enterprise Linux suddivide il software incluso in
        <indexterm>
            <primary>gruppi di pacchetti</primary>
        </indexterm>
    </para>

The last part of the entry is lost.

The generated PO File for the entry is:

#. Tag: para
#, no-c-format
msgid "Red Hat Enterprise Linux divides the included software into"
msgstr "Red Hat Enterprise Linux suddivide il software incluso in"

# <primary>packages</primary>
# /home/pgampe/cvs/en_US/cgs/graphical-rpm.idx:
#. Tag: primary
#, no-c-format
msgid "package groups"
msgstr "gruppi di pacchetti"

#. Tag: indexterm
#, no-c-format
msgid ""
"<firstterm>package groups</firstterm>. For ease of use, the package "
"selection screen displays these groups as categories."
msgstr ""
"<firstterm>gruppi di pacchetti</firstterm>. Per un utilizzo più semplice, la "
"schermata di scelta dei pacchetti mostra questi gruppi come categorie."
Comment 4 Fedora Update System 2010-02-26 00:24:43 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 5 Fedora Update System 2010-02-26 00:28:23 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 6 Fedora Update System 2010-02-26 00:28:30 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 7 Fedora Update System 2010-02-26 00:28:42 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 8 Fedora Update System 2010-02-26 00:31:06 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 9 Fedora Update System 2010-02-26 00:35:05 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 10 Fedora Update System 2010-02-26 22:29:24 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-02-26 22:45:12 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.